summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorConrad Kostecki <conikost@gentoo.org>2020-05-10 16:38:11 +0200
committerConrad Kostecki <conikost@gentoo.org>2020-05-10 18:22:10 +0200
commitb9fef369a54567ecc76f534fd1d0e1e54c344f69 (patch)
treeb770e163c5a889ebb1989fbb4b16c0bbccd38ff3
parentapp-benchmarks/wrk: drop old version (diff)
downloadgentoo-b9fef369a54567ecc76f534fd1d0e1e54c344f69.tar.gz
gentoo-b9fef369a54567ecc76f534fd1d0e1e54c344f69.tar.bz2
gentoo-b9fef369a54567ecc76f534fd1d0e1e54c344f69.zip
app-crypt/ssss: respect users ldflags
Closes: https://bugs.gentoo.org/722074 Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Conrad Kostecki <conikost@gentoo.org>
-rw-r--r--app-crypt/ssss/ssss-0.5-r1.ebuild39
1 files changed, 39 insertions, 0 deletions
diff --git a/app-crypt/ssss/ssss-0.5-r1.ebuild b/app-crypt/ssss/ssss-0.5-r1.ebuild
new file mode 100644
index 00000000000..99411362aaf
--- /dev/null
+++ b/app-crypt/ssss/ssss-0.5-r1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="Shamir's Secret Sharing Scheme"
+HOMEPAGE="http://point-at-infinity.org/ssss/"
+SRC_URI="http://point-at-infinity.org/${PN}/${P}.tar.gz"
+
+KEYWORDS="amd64 x86"
+LICENSE="GPL-2"
+SLOT="0"
+
+RDEPEND="dev-libs/gmp:0="
+DEPEND="${RDEPEND}"
+BDEPEND="app-doc/xmltoman"
+
+DOCS=( "HISTORY" "THANKS" )
+HTML_DOCS=( "doc.html" "ssss.1.html" )
+
+src_prepare() {
+ default
+
+ tc-export CC
+
+ # Respect users [CL]FLAGS and don't strip, as portage does this part
+ sed -e 's/-O2/$(CFLAGS) -lgmp $(LDFLAGS)/g' -e '/strip/d' -i Makefile || die
+}
+
+src_install() {
+ dobin ssss-split
+ dosym ssss-split /usr/bin/ssss-combine
+
+ doman ssss.1
+
+ einstalldocs
+}